diff --git a/doc/bash.0 b/doc/bash.0
index 3542cb61..8a3d8177 100644
--- a/doc/bash.0
+++ b/doc/bash.0
@@ -3141,191 +3142,191 @@ RREEAADDLLIINNEE
               vvii.
        eemmaaccss--mmooddee--ssttrriinngg ((@@))
               This string is displayed immediately before the last line of the
-              primary  prompt when emacs editing mode is active.  The value is
-              expanded like a key binding, so the standard set  of  meta-  and
-              control  prefixes  and  backslash escape sequences is available.
-              Use the \1 and \2 escapes to begin and  end  sequences  of  non-
-              printing  characters, which can be used to embed a terminal con-
+              primary prompt when emacs editing mode is active.  The value  is
+              expanded  like  a  key binding, so the standard set of meta- and
+              control prefixes and backslash escape  sequences  is  available.
+              Use  the  \1  and  \2 escapes to begin and end sequences of non-
+              printing characters, which can be used to embed a terminal  con-
               trol sequence into the mode string.
        eennaabbllee--bbrraacckkeetteedd--ppaassttee ((OOffff))
-              When set to OOnn, readline will configure the terminal  in  a  way
+              When  set  to  OOnn, readline will configure the terminal in a way
               that will enable it to insert each paste into the editing buffer
               as a single string of characters, instead of treating each char-
-              acter  as  if it had been read from the keyboard.  This can pre-
-              vent pasted characters from being interpreted  as  editing  com-
+              acter as if it had been read from the keyboard.  This  can  pre-
+              vent  pasted  characters  from being interpreted as editing com-
               mands.
        eennaabbllee--kkeeyyppaadd ((OOffff))
               When set to OOnn, readline will try to enable the application key-
-              pad when it is called.  Some systems need  this  to  enable  the
+              pad  when  it  is  called.  Some systems need this to enable the
               arrow keys.
        eennaabbllee--mmeettaa--kkeeyy ((OOnn))
-              When  set  to  OOnn, readline will try to enable any meta modifier
-              key the terminal claims to support when it is called.   On  many
+              When set to OOnn, readline will try to enable  any  meta  modifier
+              key  the  terminal claims to support when it is called.  On many
               terminals, the meta key is used to send eight-bit characters.
        eexxppaanndd--ttiillddee ((OOffff))
-              If  set  to  OOnn,  tilde  expansion  is  performed  when readline
+              If set  to  OOnn,  tilde  expansion  is  performed  when  readline
               attempts word completion.
        hhiissttoorryy--pprreesseerrvvee--ppooiinntt ((OOffff))
-              If set to OOnn, the history code attempts to place  point  at  the
-              same  location on each history line retrieved with pprreevviioouuss--hhiiss--
+              If  set  to  OOnn, the history code attempts to place point at the
+              same location on each history line retrieved with  pprreevviioouuss--hhiiss--
               ttoorryy or nneexxtt--hhiissttoorryy.
        hhiissttoorryy--ssiizzee ((uunnsseett))
-              Set the maximum number of history entries saved in  the  history
-              list.   If set to zero, any existing history entries are deleted
+              Set  the  maximum number of history entries saved in the history
+              list.  If set to zero, any existing history entries are  deleted
               and no new entries are saved.  If set to a value less than zero,
-              the  number  of history entries is not limited.  By default, the
-              number of history entries is set to the value  of  the  HHIISSTTSSIIZZEE
-              shell  variable.  If an attempt is made to set _h_i_s_t_o_r_y_-_s_i_z_e to a
+              the number of history entries is not limited.  By  default,  the
+              number  of  history  entries is set to the value of the HHIISSTTSSIIZZEE
+              shell variable.  If an attempt is made to set _h_i_s_t_o_r_y_-_s_i_z_e to  a
               non-numeric value, the maximum number of history entries will be
               set to 500.
        hhoorriizzoonnttaall--ssccrroollll--mmooddee ((OOffff))
-              When  set  to  OOnn, makes readline use a single line for display,
+              When set to OOnn, makes readline use a single  line  for  display,
               scrolling the input horizontally on a single screen line when it
-              becomes  longer  than the screen width rather than wrapping to a
+              becomes longer than the screen width rather than wrapping  to  a
               new line.
        iinnppuutt--mmeettaa ((OOffff))
-              If set to OOnn, readline will enable eight-bit input (that is,  it
-              will  not  strip  the  eighth bit from the characters it reads),
+              If  set to OOnn, readline will enable eight-bit input (that is, it
+              will not strip the eighth bit from  the  characters  it  reads),
               regardless of what the terminal claims it can support.  The name
-              mmeettaa--ffllaagg  is  a synonym for this variable.  The default is _O_f_f,
-              but readline will set it to _O_n if the locale contains  eight-bit
+              mmeettaa--ffllaagg is a synonym for this variable.  The default  is  _O_f_f,
+              but  readline will set it to _O_n if the locale contains eight-bit
               characters.
        iisseeaarrcchh--tteerrmmiinnaattoorrss ((````CC--[[CC--JJ''''))
-              The  string  of  characters that should terminate an incremental
-              search without subsequently executing the character  as  a  com-
-              mand.   If this variable has not been given a value, the charac-
+              The string of characters that should  terminate  an  incremental
+              search  without  subsequently  executing the character as a com-
+              mand.  If this variable has not been given a value, the  charac-
               ters _E_S_C and _C_-_J will terminate an incremental search.
        kkeeyymmaapp ((eemmaaccss))
-              Set the current readline keymap.  The set of valid keymap  names
-              is  _e_m_a_c_s_,  _e_m_a_c_s_-_s_t_a_n_d_a_r_d_,  _e_m_a_c_s_-_m_e_t_a_, _e_m_a_c_s_-_c_t_l_x_, _v_i_, _v_i_-_c_o_m_-
-              _m_a_n_d, and _v_i_-_i_n_s_e_r_t.  _v_i is equivalent to _v_i_-_c_o_m_m_a_n_d;  _e_m_a_c_s  is
-              equivalent  to  _e_m_a_c_s_-_s_t_a_n_d_a_r_d.  The default value is _e_m_a_c_s; the
+              Set  the current readline keymap.  The set of valid keymap names
+              is _e_m_a_c_s_, _e_m_a_c_s_-_s_t_a_n_d_a_r_d_, _e_m_a_c_s_-_m_e_t_a_,  _e_m_a_c_s_-_c_t_l_x_,  _v_i_,  _v_i_-_c_o_m_-
+              _m_a_n_d,  and  _v_i_-_i_n_s_e_r_t.  _v_i is equivalent to _v_i_-_c_o_m_m_a_n_d; _e_m_a_c_s is
+              equivalent to _e_m_a_c_s_-_s_t_a_n_d_a_r_d.  The default value is  _e_m_a_c_s;  the
               value of eeddiittiinngg--mmooddee also affects the default keymap.
        kkeeyysseeqq--ttiimmeeoouutt ((550000))
-              Specifies the duration _r_e_a_d_l_i_n_e will wait for a  character  when
-              reading  an ambiguous key sequence (one that can form a complete
+              Specifies  the  duration _r_e_a_d_l_i_n_e will wait for a character when
+              reading an ambiguous key sequence (one that can form a  complete
               key sequence using the input read so far, or can take additional
-              input  to  complete  a  longer  key  sequence).   If no input is
-              received within the timeout, _r_e_a_d_l_i_n_e will use the  shorter  but
-              complete  key sequence.  The value is specified in milliseconds,
-              so a value of 1000 means that _r_e_a_d_l_i_n_e will wait one second  for
-              additional  input.  If this variable is set to a value less than
-              or equal to zero, or to a non-numeric value, _r_e_a_d_l_i_n_e will  wait
-              until  another  key  is  pressed to decide which key sequence to
+              input to complete a  longer  key  sequence).   If  no  input  is
+              received  within  the timeout, _r_e_a_d_l_i_n_e will use the shorter but
+              complete key sequence.  The value is specified in  milliseconds,
+              so  a value of 1000 means that _r_e_a_d_l_i_n_e will wait one second for
+              additional input.  If this variable is set to a value less  than
+              or  equal to zero, or to a non-numeric value, _r_e_a_d_l_i_n_e will wait
+              until another key is pressed to decide  which  key  sequence  to
               complete.
        mmaarrkk--ddiirreeccttoorriieess ((OOnn))
               If set to OOnn, completed directory names have a slash appended.
        mmaarrkk--mmooddiiffiieedd--lliinneess ((OOffff))
-              If set to OOnn, history lines that have  been  modified  are  dis-
+              If  set  to  OOnn,  history lines that have been modified are dis-
               played with a preceding asterisk (**).
        mmaarrkk--ssyymmlliinnkkeedd--ddiirreeccttoorriieess ((OOffff))
               If set to OOnn, completed names which are symbolic links to direc-
-              tories  have  a  slash  appended  (subject  to  the   value   of
+              tories   have   a  slash  appended  (subject  to  the  value  of
               mmaarrkk--ddiirreeccttoorriieess).
        mmaattcchh--hhiiddddeenn--ffiilleess ((OOnn))
-              This  variable,  when  set to OOnn, causes readline to match files
-              whose names begin with a  `.'  (hidden  files)  when  performing
-              filename  completion.   If  set  to OOffff, the leading `.' must be
+              This variable, when set to OOnn, causes readline  to  match  files
+              whose  names  begin  with  a  `.' (hidden files) when performing
+              filename completion.  If set to OOffff, the  leading  `.'  must  be
               supplied by the user in the filename to be completed.
        mmeennuu--ccoommpplleettee--ddiissppllaayy--pprreeffiixx ((OOffff))
-              If set to OOnn, menu completion displays the common prefix of  the
+              If  set to OOnn, menu completion displays the common prefix of the
               list of possible completions (which may be empty) before cycling
               through the list.
        oouuttppuutt--mmeettaa ((OOffff))
-              If set to OOnn, readline will display characters with  the  eighth
+              If  set  to OOnn, readline will display characters with the eighth
               bit set directly rather than as a meta-prefixed escape sequence.
               The default is _O_f_f, but readline will set it to _O_n if the locale
               contains eight-bit characters.
        ppaaggee--ccoommpplleettiioonnss ((OOnn))
-              If  set to OOnn, readline uses an internal _m_o_r_e-like pager to dis-
+              If set to OOnn, readline uses an internal _m_o_r_e-like pager to  dis-
               play a screenful of possible completions at a time.
        pprriinntt--ccoommpplleettiioonnss--hhoorriizzoonnttaallllyy ((OOffff))
-              If set to OOnn, readline will  display  completions  with  matches
-              sorted  horizontally in alphabetical order, rather than down the
+              If  set  to  OOnn,  readline will display completions with matches
+              sorted horizontally in alphabetical order, rather than down  the
               screen.
        rreevveerrtt--aallll--aatt--nneewwlliinnee ((OOffff))
-              If set to OOnn, readline will undo all changes  to  history  lines
+              If  set  to  OOnn, readline will undo all changes to history lines
               before returning when aacccceepptt--lliinnee is executed.  By default, his-
-              tory lines may be modified  and  retain  individual  undo  lists
+              tory  lines  may  be  modified  and retain individual undo lists
               across calls to rreeaaddlliinnee.
        sshhooww--aallll--iiff--aammbbiigguuoouuss ((OOffff))
-              This  alters  the  default behavior of the completion functions.
+              This alters the default behavior of  the  completion  functions.
               If set to OOnn, words which have more than one possible completion
-              cause  the  matches  to be listed immediately instead of ringing
+              cause the matches to be listed immediately  instead  of  ringing
               the bell.
        sshhooww--aallll--iiff--uunnmmooddiiffiieedd ((OOffff))
-              This alters the default behavior of the completion functions  in
+              This  alters the default behavior of the completion functions in
               a fashion similar to sshhooww--aallll--iiff--aammbbiigguuoouuss.  If set to OOnn, words
-              which have more than one possible completion without any  possi-
-              ble  partial  completion (the possible completions don't share a
-              common prefix)  cause  the  matches  to  be  listed  immediately
+              which  have more than one possible completion without any possi-
+              ble partial completion (the possible completions don't  share  a
+              common  prefix)  cause  the  matches  to  be  listed immediately
               instead of ringing the bell.
        sshhooww--mmooddee--iinn--pprroommpptt ((OOffff))
-              If  set  to  OOnn,  add a character to the beginning of the prompt
-              indicating the editing mode: emacs (@), vi  command  (:)  or  vi
+              If set to OOnn, add a character to the  beginning  of  the  prompt
+              indicating  the  editing  mode:  emacs (@), vi command (:) or vi
               insertion (+).
        sskkiipp--ccoommpplleetteedd--tteexxtt ((OOffff))
-              If  set  to OOnn, this alters the default completion behavior when
-              inserting a single match into the line.  It's only  active  when
-              performing  completion  in  the  middle  of a word.  If enabled,
-              readline does not insert characters  from  the  completion  that
-              match  characters  after  point  in the word being completed, so
+              If set to OOnn, this alters the default completion  behavior  when
+              inserting  a  single match into the line.  It's only active when
+              performing completion in the middle  of  a  word.   If  enabled,
+              readline  does  not  insert  characters from the completion that
+              match characters after point in the  word  being  completed,  so
               portions of the word following the cursor are not duplicated.
        vvii--ccmmdd--mmooddee--ssttrriinngg ((((ccmmdd))))
               This string is displayed immediately before the last line of the
-              primary  prompt  when  vi  editing mode is active and in command
+              primary prompt when vi editing mode is  active  and  in  command
               mode.  The value is expanded like a key binding, so the standard
               set of meta- and control prefixes and backslash escape sequences
-              is available.  Use the \1  and  \2  escapes  to  begin  and  end
+              is  available.   Use  the  \1  and  \2  escapes to begin and end
               sequences of non-printing characters, which can be used to embed
               a terminal control sequence into the mode string.
        vvii--iinnss--mmooddee--ssttrriinngg ((((iinnss))))
               This string is displayed immediately before the last line of the
-              primary  prompt  when vi editing mode is active and in insertion
+              primary prompt when vi editing mode is active and  in  insertion
               mode.  The value is expanded like a key binding, so the standard
               set of meta- and control prefixes and backslash escape sequences
-              is available.  Use the \1  and  \2  escapes  to  begin  and  end
+              is  available.   Use  the  \1  and  \2  escapes to begin and end
               sequences of non-printing characters, which can be used to embed
               a terminal control sequence into the mode string.
        vviissiibbllee--ssttaattss ((OOffff))
-              If set to OOnn, a character denoting a file's type as reported  by
-              _s_t_a_t(2)  is  appended to the filename when listing possible com-
+              If  set to OOnn, a character denoting a file's type as reported by
+              _s_t_a_t(2) is appended to the filename when listing  possible  com-
               pletions.
 
    RReeaaddlliinnee CCoonnddiittiioonnaall CCoonnssttrruuccttss
-       Readline implements a facility similar in  spirit  to  the  conditional
-       compilation  features  of  the C preprocessor which allows key bindings
-       and variable settings to be performed as the result  of  tests.   There
+       Readline  implements  a  facility  similar in spirit to the conditional
+       compilation features of the C preprocessor which  allows  key  bindings
+       and  variable  settings  to be performed as the result of tests.  There
        are four parser directives used.
 
-       $$iiff    The  $$iiff construct allows bindings to be made based on the edit-
-              ing mode, the terminal being  used,  or  the  application  using
-              readline.   The text of the test extends to the end of the line;
+       $$iiff    The $$iiff construct allows bindings to be made based on the  edit-
+              ing  mode,  the  terminal  being  used, or the application using
+              readline.  The text of the test extends to the end of the  line;
               no characters are required to isolate it.
 
-              mmooddee   The mmooddee== form of the  $$iiff  directive  is  used  to  test
-                     whether  readline  is  in  emacs or vi mode.  This may be
-                     used in conjunction with  the  sseett  kkeeyymmaapp  command,  for
-                     instance,  to  set  bindings  in  the  _e_m_a_c_s_-_s_t_a_n_d_a_r_d and
-                     _e_m_a_c_s_-_c_t_l_x keymaps only if readline is  starting  out  in
+              mmooddee   The  mmooddee==  form  of  the  $$iiff  directive is used to test
+                     whether readline is in emacs or vi  mode.   This  may  be
+                     used  in  conjunction  with  the  sseett kkeeyymmaapp command, for
+                     instance, to  set  bindings  in  the  _e_m_a_c_s_-_s_t_a_n_d_a_r_d  and
+                     _e_m_a_c_s_-_c_t_l_x  keymaps  only  if readline is starting out in
                      emacs mode.
 
-              tteerrmm   The  tteerrmm==  form may be used to include terminal-specific
+              tteerrmm   The tteerrmm== form may be used to  include  terminal-specific
                      key bindings, perhaps to bind the key sequences output by
                      the terminal's function keys.  The word on the right side
                      of the == is tested against both the full name of the ter-
-                     minal  and  the  portion  of the terminal name before the
-                     first --.  This allows _s_u_n to match both _s_u_n and  _s_u_n_-_c_m_d,
+                     minal and the portion of the  terminal  name  before  the
+                     first  --.  This allows _s_u_n to match both _s_u_n and _s_u_n_-_c_m_d,
                      for instance.
 
               aapppplliiccaattiioonn
                      The aapppplliiccaattiioonn construct is used to include application-
                      specific  settings.   Each  program  using  the  readline
-                     library  sets the _a_p_p_l_i_c_a_t_i_o_n _n_a_m_e, and an initialization
+                     library sets the _a_p_p_l_i_c_a_t_i_o_n _n_a_m_e, and an  initialization
                      file can test for a particular value.  This could be used
-                     to  bind key sequences to functions useful for a specific
-                     program.  For instance, the following command adds a  key
-                     sequence  that  quotes  the  current  or previous word in
+                     to bind key sequences to functions useful for a  specific
+                     program.   For instance, the following command adds a key
+                     sequence that quotes the  current  or  previous  word  in
                      bbaasshh:
 
                      $$iiff Bash
@@ -3340,51 +3341,51 @@ RREEAADDLLIINNEE
               test fails.
 
        $$iinncclluuddee
-              This directive takes a single filename as an argument and  reads
-              commands  and bindings from that file.  For example, the follow-
+              This  directive takes a single filename as an argument and reads
+              commands and bindings from that file.  For example, the  follow-
               ing directive would read _/_e_t_c_/_i_n_p_u_t_r_c:
 
               $$iinncclluuddee  _/_e_t_c_/_i_n_p_u_t_r_c
 
    SSeeaarrcchhiinngg
-       Readline provides commands for searching through  the  command  history
+       Readline  provides  commands  for searching through the command history
        (see HHIISSTTOORRYY below) for lines containing a specified string.  There are
        two search modes: _i_n_c_r_e_m_e_n_t_a_l and _n_o_n_-_i_n_c_r_e_m_e_n_t_a_l.
 
-       Incremental searches begin before the  user  has  finished  typing  the
-       search  string.  As each character of the search string is typed, read-
+       Incremental  searches  begin  before  the  user has finished typing the
+       search string.  As each character of the search string is typed,  read-
        line displays the next entry from the history matching the string typed
-       so  far.   An  incremental  search  requires only as many characters as
-       needed to find the desired history entry.  The  characters  present  in
-       the  value of the iisseeaarrcchh--tteerrmmiinnaattoorrss variable are used to terminate an
+       so far.  An incremental search requires  only  as  many  characters  as
+       needed  to  find  the desired history entry.  The characters present in
+       the value of the iisseeaarrcchh--tteerrmmiinnaattoorrss variable are used to terminate  an
        incremental search.  If that variable has not been assigned a value the
-       Escape  and  Control-J characters will terminate an incremental search.
-       Control-G will abort an incremental search  and  restore  the  original
-       line.   When the search is terminated, the history entry containing the
+       Escape and Control-J characters will terminate an  incremental  search.
+       Control-G  will  abort  an  incremental search and restore the original
+       line.  When the search is terminated, the history entry containing  the
        search string becomes the current line.
 
-       To find other matching entries in the history list, type  Control-S  or
-       Control-R  as appropriate.  This will search backward or forward in the
-       history for the next entry matching the search  string  typed  so  far.
-       Any  other  key sequence bound to a readline command will terminate the
-       search and execute that command.  For instance, a _n_e_w_l_i_n_e  will  termi-
+       To  find  other matching entries in the history list, type Control-S or
+       Control-R as appropriate.  This will search backward or forward in  the
+       history  for  the  next  entry matching the search string typed so far.
+       Any other key sequence bound to a readline command will  terminate  the
+       search  and  execute that command.  For instance, a _n_e_w_l_i_n_e will termi-
        nate the search and accept the line, thereby executing the command from
        the history list.
 
        Readline remembers the last incremental search string.  If two Control-
-       Rs  are  typed without any intervening characters defining a new search
+       Rs are typed without any intervening characters defining a  new  search
        string, any remembered search string is used.
 
-       Non-incremental searches read the entire search string before  starting
-       to  search  for matching history lines.  The search string may be typed
+       Non-incremental  searches read the entire search string before starting
+       to search for matching history lines.  The search string may  be  typed
        by the user or be part of the contents of the current line.
 
    RReeaaddlliinnee CCoommmmaanndd NNaammeess
-       The following is a list of the names of the commands  and  the  default
+       The  following  is  a list of the names of the commands and the default
        key sequences to which they are bound.  Command names without an accom-
        panying key sequence are unbound by default.  In the following descrip-
-       tions,  _p_o_i_n_t refers to the current cursor position, and _m_a_r_k refers to
-       a cursor position saved by the sseett--mmaarrkk command.  The text between  the
+       tions, _p_o_i_n_t refers to the current cursor position, and _m_a_r_k refers  to
+       a  cursor position saved by the sseett--mmaarrkk command.  The text between the
        point and mark is referred to as the _r_e_g_i_o_n.
 
    CCoommmmaannddss ffoorr MMoovviinngg
@@ -3400,29 +3401,29 @@ RREEAADDLLIINNEE
               Move forward to the end of the next word.  Words are composed of
               alphanumeric characters (letters and digits).
        bbaacckkwwaarrdd--wwoorrdd ((MM--bb))
-              Move back to the start of the current or previous  word.   Words
+              Move  back  to the start of the current or previous word.  Words
               are composed of alphanumeric characters (letters and digits).
        sshheellll--ffoorrwwaarrdd--wwoorrdd
-              Move  forward  to the end of the next word.  Words are delimited
+              Move forward to the end of the next word.  Words  are  delimited
               by non-quoted shell metacharacters.
        sshheellll--bbaacckkwwaarrdd--wwoorrdd
-              Move back to the start of the current or previous  word.   Words
+              Move  back  to the start of the current or previous word.  Words
               are delimited by non-quoted shell metacharacters.
        pprreevviioouuss--ssccrreeeenn--lliinnee
-              Attempt  to move point to the same physical screen column on the
-              previous physical screen line. This will not  have  the  desired
-              effect  if  the current Readline line does not take up more than
-              one physical line or if point is not greater than the length  of
+              Attempt to move point to the same physical screen column on  the
+              previous  physical  screen  line. This will not have the desired
+              effect if the current Readline line does not take up  more  than
+              one  physical line or if point is not greater than the length of
               the prompt plus the screen width.
        nneexxtt--ssccrreeeenn--lliinnee
-              Attempt  to move point to the same physical screen column on the
+              Attempt to move point to the same physical screen column on  the
               next physical screen line. This will not have the desired effect
-              if  the  current  Readline  line  does not take up more than one
-              physical line or if the length of the current Readline  line  is
+              if the current Readline line does not  take  up  more  than  one
+              physical  line  or if the length of the current Readline line is
               not greater than the length of the prompt plus the screen width.
        cclleeaarr--ssccrreeeenn ((CC--ll))
-              Clear  the  screen  leaving  the  current line at the top of the
-              screen.  With an argument,  refresh  the  current  line  without
+              Clear the screen leaving the current line  at  the  top  of  the
+              screen.   With  an  argument,  refresh  the current line without
               clearing the screen.
        rreeddrraaww--ccuurrrreenntt--lliinnee
               Refresh the current line.
